# This is a hacked version of the \label code, to give
# a version that does work when used within footnotes.
# It would be nicer to fix \label so that it *would*
# work within footnotes, but that seems trickier that I
# want to deal with right now.  Of course, it is up to
# the author to use it \ftlabel in preference to \label
# within footnotes...
#
# Barry McMullin 5th December 1996

sub do_cmd_ftlabel {
    local($_) = @_;
    s/$next_pair_pr_rx//o;
    local($label) = $2;
    &anchor_label($label,$footfile,$_);
}




# Include a (hotlinked) Copyright notice in the address
# block.

sub copyright_href{
  $ref_files{"copyright"} . "#copyright";
}

sub do_cmd_copyrightdate {
# This is really a stub; $thecopyrightdate needs to be
# forcibly set in the .latex2html-init in order that it
# will have its value early enough in the l2h processing...
    local($_) = @_;
    s/$next_pair_pr_rx//o;
    ($thecopyrightdatedate) = $&;
    $_;
}

sub do_cmd_thecopyrightdate {
    local($_) = @_;
   join('',$thecopyrightdate,$_);
}


# \varurl allows the rendering of the *text* of a URL 
# to be made different between l2h and LaTeX - which
# can be useful for controlling line breaking in the 
# hardcopy; the first arg is the LaTeX text (and is 
# ignored by l2h); the second arg is the url proper -
# it is made hot by l2h (and ignored by LaTeX).
sub do_cmd_varurl{
    local($_) = @_;
    local($texurl,$rawurl);
    s/$next_pair_pr_rx/$texurl = $2; ''/eo;
    s/$next_pair_pr_rx/$rawurl = $2; ''/eo;
    join('', "<A HREF=\"$rawurl\">$rawurl<\/A>",$_);
}


# Fixed space; use instead of "\ "
# to avoid confusing ispell...
sub do_cmd_fsp{
    local($_) = @_;
    join('', " ", $_);
}


1;				# This must be the last line
